Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.engine
Enum WorkEvent.Type

    java.lang.Object
      java.lang.Enum<WorkEvent.Type>
          org.apache.ode.bpel.engine.WorkEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WorkEvent.Type>

Enclosing class:
  WorkEvent

    public static enum WorkEvent.Type

extends java.lang.Enum<WorkEvent.Type>

Enum Constant Summary
`INVOKE_CHECK`
`MATCHER`
`MYROLE_INVOKE` Invoke a "my role" operation (i.e.
`MYROLE_INVOKE_ASYNC_RESPONSE`
`PARTNER_RESPONSE` Response from partner (i.e.
`RESUME`
`TIMER`

Method Summary
`static WorkEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WorkEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TIMER

    public static final WorkEvent.Type TIMER

### RESUME

    public static final WorkEvent.Type RESUME

### PARTNER_RESPONSE

    public static final WorkEvent.Type PARTNER_RESPONSE

  Response from partner (i.e. the result of a partner-role invoke) has been received.

### MATCHER

    public static final WorkEvent.Type MATCHER

### MYROLE_INVOKE

    public static final WorkEvent.Type MYROLE_INVOKE

  Invoke a "my role" operation (i.e. implemented by the process).

### MYROLE_INVOKE_ASYNC_RESPONSE

    public static final WorkEvent.Type MYROLE_INVOKE_ASYNC_RESPONSE

### INVOKE_CHECK

    public static final WorkEvent.Type INVOKE_CHECK

Method Detail

### values

    public static final WorkEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WorkEvent.Type c : WorkEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WorkEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD